Bug 1256321 - [abrt] blueman: PropertiesBase.py:45:get_properties:AttributeError: 'Device' object has no attribute '_PropertiesBase__properties_interface'
[abrt] blueman: PropertiesBase.py:45:get_properties:AttributeError: 'Device' ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8de1f5c8a0c1265f9f40d59cdbc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 07:11 EDT by leigh scott
Modified: 2015-09-06 13:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.1-0.2.git7a2e20e.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 21:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (844 bytes, text/plain)
2015-08-24 07:11 EDT, leigh scott
no flags Details
File: environ (1.66 KB, text/plain)
2015-08-24 07:11 EDT, leigh scott
no flags Details

  None (edit)
Description leigh scott 2015-08-24 07:11:07 EDT
Version-Release number of selected component:
blueman-2.1-0.1.git0a5defd.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
PropertiesBase.py:45:get_properties:AttributeError: 'Device' object has no attribute '_PropertiesBase__properties_interface'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/GameControllerWakelock.py", line 38, in _on_device_property_changed
    klass = device.get_properties()["Class"] & 0x1fff
  File "/usr/lib/python2.7/site-packages/blueman/bluez/errors.py", line 146, in warp
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/blueman/bluez/PropertiesBase.py", line 45, in get_properties
    return self.__properties_interface.GetAll(self._interface_name)
AttributeError: 'Device' object has no attribute '_PropertiesBase__properties_interface'

Local variables in innermost frame:
self: <Device object at 0x7f1edc095e60 (blueman+bluez+Device+Device at 0x165ed80)>
Comment 1 leigh scott 2015-08-24 07:11:09 EDT
Created attachment 1066306 [details]
File: backtrace
Comment 2 leigh scott 2015-08-24 07:11:10 EDT
Created attachment 1066307 [details]
File: environ
Comment 3 leigh scott 2015-08-24 07:31:23 EDT
I will update blueman to the latest git so it includes this commit

https://github.com/blueman-project/blueman/commit/d8a611343b05f995d95d3d9fed27b5209ab8537b

Hopefully it should fix the issue.
Comment 4 Christopher Schramm 2015-08-24 07:36:46 EDT
An earlier commit, https://github.com/blueman-project/blueman/commit/bb823ab25163a772ccfbaf9b1ea69e0a58eb727f, should.


(Note that the master branch is ongoing development and not meant for production packages.)
Comment 5 leigh scott 2015-08-24 07:50:21 EDT
(In reply to Christopher Schramm from comment #4)
> (Note that the master branch is ongoing development and not meant for
> production packages.)

I have no intention to push blueman git to any stable fedora releases, f23 is currently an alpha release.
Blueman git could benefit from the extra testing that the blueman git package will generate in the fedora 23 development cycle.
If you haven't completed the 2.1 release I can always epoch back to 2.0 for f23 final release (2015-10-27).

http://fedoraproject.org/wiki/Releases/23/Schedule
Comment 6 Fedora Update System 2015-08-24 07:52:58 EDT
blueman-2.1-0.2.git7a2e20e.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1256321
Comment 7 Christopher Schramm 2015-08-24 07:53:22 EDT
Sure, the testing is great! :) There are also git packages in other distributions. I only wanted to mention it just in case...
Comment 8 Fedora Update System 2015-08-24 17:57:42 EDT
blueman-2.1-0.2.git7a2e20e.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update blueman'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14078
Comment 9 Fedora Update System 2015-09-05 21:11:00 EDT
blueman-2.1-0.2.git7a2e20e.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-09-06 13:06:05 EDT
blueman-2.1-0.2.git7a2e20e.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.